Bug 800367 - 3.1 - vdsm does not report the system and user cpu usage separately for vms.
3.1 - vdsm does not report the system and user cpu usage separately for vms.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.2
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Laszlo Hornyak
Pavel Stehlik
virt
:
Depends On: 800366
Blocks: 800372
  Show dependency treegraph
 
Reported: 2012-03-06 07:05 EST by Yaniv Lavi (Dary)
Modified: 2012-12-04 13:54 EST (History)
11 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-39.0
Doc Type: Bug Fix
Doc Text:
Previously, in the history database, the system_cpu_usage field was always reported as 0. This made monitoring cpu usage difficult. This patch not only ensures accurate reporting occurs but also separates virtual machine and system cpu usage statistics.
Story Points: ---
Clone Of: 800366
: 800372 (view as bug list)
Environment:
Last Closed: 2012-12-04 13:54:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaniv Lavi (Dary) 2012-03-06 07:05:23 EST
+++ This bug was initially created as a clone of Bug #800366 +++

Description of problem:
In RHEVM 3.0 the history database vm system cpu usage is always 0. This is because libvirt do not report the system and user cpu usage separately and vdsm sends all the vm cpu usage as user cpu only. Need to add this separation to vdsm.
Comment 2 Yaniv Lavi (Dary) 2012-03-06 07:50:52 EST
System usage is an important statistic to troubleshoot various performance
related problems. So i think it's very important to have this.
Comment 3 RHEL Product and Program Management 2012-05-04 00:08:28 EDT
Since RHEL 6.3 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 4 Laszlo Hornyak 2012-06-19 03:25:02 EDT
A burocratic question may be, but why is this bug registered to RHEL 6? :)
Comment 5 Laszlo Hornyak 2012-06-19 03:27:49 EDT
since it is a feature enhancement request, can we move it to oVirt and let a wider community discuss the question?
Comment 6 Yaniv Kaul 2012-06-19 03:30:13 EDT
(In reply to comment #5)
> since it is a feature enhancement request, can we move it to oVirt and let a
> wider community discuss the question?

Or make the bug public.
Comment 7 Dan Kenigsberg 2012-06-19 04:38:50 EDT
(In reply to comment #4)
> A burocratic question may be, but why is this bug registered to RHEL 6? :)

because a customer does not like the cpuSys==0 that we currently report, and our product management decided that it should go into rhev-3.1. The bug is a means to track this fact, so please keep it here in rhel-6.
Comment 10 Laszlo Hornyak 2012-07-03 05:46:22 EDT
http://gerrit.ovirt.org/#/c/5793/
Comment 13 Barak 2012-08-08 20:31:44 EDT
Removed the improvement from the keywords, as this is simply a bug fix (to get the right data from the host). 
Currently everything exists in place (also engine's side) but VDSM is reporting 0 all the time.
Comment 14 Laszlo Hornyak 2012-09-14 02:32:25 EDT
http://gerrit.ovirt.org/#/c/7718/
Comment 15 Laszlo Hornyak 2012-10-15 13:17:56 EDT
merged upstream 43675686c0b41891a9f78bef71fbe1866c6d409b
Comment 24 errata-xmlrpc 2012-12-04 13:54:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.